Retrieve a delta
Returns work interruptions that have changed since the last delta token.
Caution
Read the Delta page. There is important information on required implementation!
Tip
Check the Swagger page for more technical information on the endpoints.
Endpoint details
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/work-interruptions?delta
Headers: Authorization: Bearer {token}, User-Agent: {agent}
Scope: connector-protimeapi-work-interruptions.read
Response properties
| Field | Type | Required | Writable | Description |
|---|---|---|---|---|
changeVersion |
string | — | Read-only | Property to indicate the order of changes. |
id |
integer | — | Read-only | Unique identifier for the work interruption record. |
person.id |
integer | — | Read-only | Internal ID of the person this work interruption belongs to. |
date |
string | — | Read-only | Date for which the work interruption is recorded (YYYY-MM-DD). |
durationInMinutes |
integer | — | Read-only | Duration of the work interruption in minutes. |
startTimeInMinutes |
integer | — | Read-only | Start time of the work interruption (minutes since midnight). |
endTimeInMinutes |
integer | — | Read-only | End time of the work interruption (minutes since midnight). |
Filters
| Filter | Type | Description |
|---|---|---|
date |
Required | The start date must be a recent date in the past, with the earliest allowed start date being January 1st of the previous year |
Note
- People cannot be used in the delta
- The start date must be a recent date in the past, with the earliest allowed start date being January 1st of the previous year
- The end date isn’t required, when providing an end date there is a max range of 1 year
External references
The endpoint supports predefined and custom external references. See the external references page for details.
The following collections are supported for this endpoint:
| Collection | Predefined | Custom |
|---|---|---|
people |
@badge-number, @employee-number |
Supported |
Error responses
| Status | Condition |
|---|---|
400 |
Invalid filter syntax or unknown filter field |
401 |
Missing or invalid access token, or insufficient scope |
410 |
Delta token has expired (older than 72 hours) |
Examples
Filter on a start date
Example with a start date:
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/work-interruptions?delta&filter=date ge '2024-01-01'
Filter on date range with external reference
Example with a date range and the employee number as an external reference:
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/work-interruptions?delta&filter=date ge '2024-01-01' and date le '2024-01-05' &externalReferences=(people,@employee-number)